Ask Your Question
1

when run "sudo apt-get install ros-indigo-desktop-full"

asked 2014-11-24 13:35:10 -0500

ksmksam gravatar image

updated 2014-11-24 14:11:23 -0500

gvdhoorn gravatar image

ihave this error

user@ubuntu:~$ sudo apt-get install ros-indigo-desktop-full
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 ros-indigo-desktop-full : Depends: ros-indigo-desktop but it is not going to be installed
                           Depends: ros-indigo-perception but it is not going to be installed
                           Depends: ros-indigo-simulators but it is not going to be installed
E: Unable to correct problems, you have held broken packages
edit retag flag offensive close merge delete

Comments

I think we'll need some more information. What version of Ubuntu are you running?

Tom Moore gravatar imageTom Moore ( 2014-11-24 13:54:09 -0500 )edit

14.04 ok this is

ksmksam gravatar imageksmksam ( 2014-11-24 14:23:13 -0500 )edit

Try installing only ros-indigo-desktop, and see if anything fails. If so, try installing one of the packages that failed. Repeat this and eventually you'll get a more informative error from whatever the offending package is.

Tom Moore gravatar imageTom Moore ( 2014-11-24 14:29:35 -0500 )edit

ros-indigo-desktop: command not found

ksmksam gravatar imageksmksam ( 2014-11-24 14:38:33 -0500 )edit

sudo apt-get install ros-indigo-desktop

Tom Moore gravatar imageTom Moore ( 2014-11-24 15:21:30 -0500 )edit

sorry we still have problem

user@ubuntu:~$ sudo apt-get install ros-indigo-desktop [sudo] password for user: Reading package lists... Done Building dependency tree
Reading state information... Done Some packages could not be installed. This may mean that you have requested an impossible sit

ksmksam gravatar imageksmksam ( 2014-11-24 21:43:13 -0500 )edit
1

Do you have the universe and metaverse repositories enabled?

ahendrix gravatar imageahendrix ( 2014-11-24 21:57:25 -0500 )edit

ian new user with upuntu so can you help how ican checked

ksmksam gravatar imageksmksam ( 2014-11-25 00:15:38 -0500 )edit

2 Answers

Sort by ยป oldest newest most voted
2

answered 2014-11-25 06:17:09 -0500

ahendrix gravatar image

updated 2014-11-25 06:17:47 -0500

12.04 is Precise, not Trusty: https://wiki.ubuntu.com/Releases . ROS Indigo is not supported on 12.04/Precise

edit flag offensive delete link more
0

answered 2016-09-16 07:22:30 -0500

For " Depends: ros-indigo-perception but it is not going to be installed " error you have to install tcl-vtk. I got the same error and i solved with below command. sudo apt-get install tcl-vtk

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2014-11-24 13:35:10 -0500

Seen: 6,384 times

Last updated: Nov 24 '14